Wednesday, January 07, 2009

Dentrix CDT 2009/2010 Update

Beginning January 2009, HIPAA requires dentists to use CDT 2009/2010 codes to represent dental procedures performed after January 1, 2009. Specifically, HIPAA requires all prcocedures for electronic claim submissions to use the code set that is current for the date of service.

You may have questions as to how this CDT 2009/2010 update will affect you and your practice. Dentrix has a plan to help you smoothly navigate the CDT code changes:

Dentrix Customers with an active Customer Service Plan

* If you are a Dentrix customer on a customer service plan, a utility will be made available during the first week of January that will automatically update your software with the CDT 2009/2010 codes. The cost of the utility is free for customers on a customer service plan. The utility will work with DENTRIX G3 and DENTRIX G4 only. If you are running a previous version, you will need to upgrade before using this utility.
Click here to go to the CDT 2009/2010 update age

No comments: